{
  "compilerOptions": {
    "baseUrl": "/", // 确保相对路径从根目录开始
    "paths": { // 设置路径映射
      "@/*": [ // 将 @/ 映射到 src/ 目录
        "./src/*"
      ]
    }
  },
  "files": [], // 可以留空，表示不显式指定任何文件
  "references": [ // 引用其他 tsconfig 文件
    {
      "path": "./tsconfig.app.json" // 引用 tsconfig.app.json
    },
    {
      "path": "./tsconfig.node.json" // 引用 tsconfig.node.json
    }
  ],
  "include": [ // 指定包含的文件
    "env.d.ts", // 包括环境类型的声明文件
    "src/vite-env.d.ts", // 包括 Vite 环境类型的声明文件
    "src/**/*.ts", // 包括 src 目录下的所有 TypeScript 文件
    "src/**/*.tsx", // 包括 src 目录下的所有 JSX 文件
    "src/**/*.vue", // 包括 src 目录下的所有 Vue 文件
    "global.d.ts", // 确保 global.d.ts 文件被包含
    "vite.config.ts" // Node 配置文件
  ]
}
// // 脚手架自带 配置：
// {
//   "files": [],
//   "references": [
//     {
//       "path": "./tsconfig.app.json"
//     },
//     {
//       "path": "./tsconfig.node.json"
//     }
//   ]
// }